| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Digikam::GPSDataContainer Class Reference

## Public Types
typedef QFlags< HasFlagsEnum > | HasFlags
enum | HasFlagsEnum { HasCoordinates = 1 , HasAltitude = 2 , HasIsInterpolated = 4 , HasNSatellites = 8 , HasDop = 16 , HasFixType = 32 , HasSpeed = 64 }

## Public Member Functions
void | clear ()
void | clearAltitude ()
void | clearDop ()
void | clearFixType ()
void | clearNonCoordinates ()
void | clearNSatellites ()
void | clearSpeed ()
HasFlags | flags () const
GeoCoordinates | getCoordinates () const
qreal | getDop () const
qreal | getFixType () const
int | getNSatellites () const
qreal | getSpeed () const
| Return the speed in m/s.
bool | hasAltitude () const
bool | hasCoordinates () const
bool | hasDop () const
bool | hasFixType () const
bool | hasNSatellites () const
bool | hasSpeed () const
bool | operator!= (const GPSDataContainer &b) const
bool | operator== (const GPSDataContainer &b) const
void | setAltitude (const qreal alt)
void | setCoordinates (const GeoCoordinates &coordinates)
void | setDop (const qreal dop)
void | setFixType (const int fixType)
void | setLatLon (const qreal lat, const qreal lon)
void | setNSatellites (const int nSatellites)
void | setSpeed (const qreal speed)
| Set the speed in m/s.